Removes the item assignment from the specified marketplace offers.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/marketplace/offers/remove-item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"offerKeys": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
],
"removeDataFromItem": true
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/offers/remove-item"
payload = {
"offerKeys": ["b45f6432-2462-4c6f-b00f-1d9d01000000"],
"removeDataFromItem": True
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({offerKeys: ['b45f6432-2462-4c6f-b00f-1d9d01000000'], removeDataFromItem: true})
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/offers/remove-item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Marketplace Offer
Removes the item assignment from the specified marketplace offers.
Removes the item assignment from the specified marketplace offers.
POST
/
v2
/
marketplace
/
offers
/
remove-item
Removes the item assignment from the specified marketplace offers.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Body
application/json
Request parameters
Removes the item assignment from the specified marketplace offers. - Request
Marketplace offer keys identifying the offers from which the item assignment should be removed.
Represents a key for an SCX offer, used for identification and comparison.
If true, related marketplace assignment data is removed from items as well.
Response
Successfully removed item assignments from the specified marketplace offers.
Was this page helpful?
⌘I